ContactsSend a text message

Send a text message

POST /contacts/{contact_id}/send/text

curl -X POST "https://app.bualpro.com/api/contacts/123/send/text" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY" \
  -d '{
  "text": "This is a text message",
  "channel": "messenger"
}'
{
  "success": true
}
POST
/contacts/{contact_id}/send/text
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
channelstring
Options: messenger, whatsapp, sms, webchat, telegram, instagram, viber, omnichannel
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Body

application/json
channelstring
Allowed values:messengerwhatsappsmswebchattelegraminstagramviberomnichannel

Responses

successboolean

Send text message to the contact